> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polymarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check if a safe is deployed

> Returns a payload that determines if a safe is deployed. Takes in the user's Polymarket proxy address.




## OpenAPI

````yaml /api-spec/relayer-openapi.yaml get /deployed
openapi: 3.0.3
info:
  title: Polymarket Relayer API
  version: 1.0.0
  description: HTTP API for the Polymarket Relayer. Submit and track gasless transactions.
servers:
  - url: https://relayer-v2.polymarket.com
    description: Polymarket Relayer API
security: []
tags:
  - name: Relayer
    description: Relayer transaction operations
  - name: Relayer API Keys
    description: >
      Relayer API keys let a user authenticate requests to relayer endpoints
      without Gamma auth.

      However, Relayer API keys can only be created using Gamma auth. Every
      address can create a maximum of 100 keys.


      The API key auth headers are:

      - `RELAYER_API_KEY`

      - `RELAYER_API_KEY_ADDRESS`


      `RELAYER_API_KEY_ADDRESS` must match the address that owns the key.
paths:
  /deployed:
    get:
      tags:
        - Relayer
      summary: Check if a safe is deployed
      description: >
        Returns a payload that determines if a safe is deployed. Takes in the
        user's Polymarket proxy address.
      parameters:
        - name: address
          in: query
          required: true
          description: User's Polymarket proxy address
          schema:
            $ref: '#/components/schemas/Address'
          example: '0x6d8c4e9aDF5748Af82Dabe2C6225207770d6B4fa'
      responses:
        '200':
          description: Deployment status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeployedResponse'
              example:
                deployed: true
        '400':
          description: Bad Request - Missing or invalid address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error: invalid address
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Address:
      type: string
      description: Ethereum address (0x-prefixed, 40 hex chars)
      pattern: ^0x[a-fA-F0-9]{40}$
      example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
    DeployedResponse:
      type: object
      properties:
        deployed:
          type: boolean
          description: Whether the safe is deployed
          example: true
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error

````